GPG error when backing up - invalid option "--pinentry-mode=loopback"

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

GPG error when backing up - invalid option "--pinentry-mode=loopback"

duplicity-talk mailing list
Hello,

Using installed duplicity version 0.7.11, python 2.7.11, gpg 2.0.14 (Home: ~/.gnupg), awk 'GNU Awk 3.1.7', grep 'grep (GNU grep) 2.20', bash '4.1.2(2)-release (x86_64-redhat-linux-gnu)'.

[snip]

GPGError: GPG Failed, see log below:
===== Begin GnuPG log =====
gpg: invalid option "--pinentry-mode=loopback"



the GPG_OPTS variable in my duply conf file is empty.

What should I do? is there a way to NOT pass the --pinentry-mode=loopback option to gpg?

Thanks,
Scott
_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: GPG error when backing up - invalid option "--pinentry-mode=loopback"

duplicity-talk mailing list
The fix has been committed to the trunk in gpg.py.  It will be out in 0.7.12.  If you need it now, just browse the code for gpg.py, download that, and replace your copy.

...Ken


On Wed, Feb 1, 2017 at 1:27 PM, Scott Classen via Duplicity-talk <[hidden email]> wrote:
Hello,

Using installed duplicity version 0.7.11, python 2.7.11, gpg 2.0.14 (Home: ~/.gnupg), awk 'GNU Awk 3.1.7', grep 'grep (GNU grep) 2.20', bash '4.1.2(2)-release (x86_64-redhat-linux-gnu)'.

[snip]

GPGError: GPG Failed, see log below:
===== Begin GnuPG log =====
gpg: invalid option "--pinentry-mode=loopback"



the GPG_OPTS variable in my duply conf file is empty.

What should I do? is there a way to NOT pass the --pinentry-mode=loopback option to gpg?

Thanks,
Scott
_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: GPG error when backing up - invalid option "--pinentry-mode=loopback"

duplicity-talk mailing list
hmmm, I am using what is supposed to be 0.7.11 and am not seeing this
issue.  My gpg version is 2.1.18.  Just thought I  would let you
know.  I have not tried a restore or verify with this version yet.

On Thu, 02 Feb 2017 11:49:36 -0500,
Kenneth Loafman via Duplicity-talk wrote:

>
> [1  <multipart/alternative (7bit)>]
> [1.1  <text/plain; UTF-8 (7bit)>]
> [1.2  <text/html; UTF-8 (quoted-printable)>]
> The fix has been committed to the trunk in gpg.py. It will be out in 0.7.12. If you need it now, just browse the code for gpg.py, download that, and replace your copy.
>
> ...Ken
>
> On Wed, Feb 1, 2017 at 1:27 PM, Scott Classen via Duplicity-talk <[hidden email]> wrote:
>
>  Hello,
>
>  Using installed duplicity version 0.7.11, python 2.7.11, gpg 2.0.14 (Home: ~/.gnupg), awk 'GNU Awk 3.1.7', grep 'grep (GNU grep) 2.20', bash '4.1.2(2)-release (x86_64-redhat-linux-gnu)'.
>
>  [snip]
>
>  GPGError: GPG Failed, see log below:
>  ===== Begin GnuPG log =====
>  gpg: invalid option "--pinentry-mode=loopback"
>
>  the GPG_OPTS variable in my duply conf file is empty.
>
>  What should I do? is there a way to NOT pass the --pinentry-mode=loopback option to gpg?
>
>  Thanks,
>  Scott
>  _______________________________________________
>  Duplicity-talk mailing list
>  [hidden email]
>  https://lists.nongnu.org/mailman/listinfo/duplicity-talk
>
> [2  <text/plain; us-ascii (7bit)>]
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]

_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: GPG error when backing up - invalid option "--pinentry-mode=loopback"

duplicity-talk mailing list
The problem is that gpg 2.0 did not have --pinentry-mode, but gpg 2.1 did.  The fix was to test against major/minor versions rather than just major.


On Thu, Feb 2, 2017 at 11:12 AM, John Covici <[hidden email]> wrote:
hmmm, I am using what is supposed to be 0.7.11 and am not seeing this
issue.  My gpg version is 2.1.18.  Just thought I  would let you
know.  I have not tried a restore or verify with this version yet.

On Thu, 02 Feb 2017 11:49:36 -0500,
Kenneth Loafman via Duplicity-talk wrote:
>
> [1  <multipart/alternative (7bit)>]
> [1.1  <text/plain; UTF-8 (7bit)>]
> [1.2  <text/html; UTF-8 (quoted-printable)>]
> The fix has been committed to the trunk in gpg.py. It will be out in 0.7.12. If you need it now, just browse the code for gpg.py, download that, and replace your copy.
>
> ...Ken
>
> On Wed, Feb 1, 2017 at 1:27 PM, Scott Classen via Duplicity-talk <[hidden email]> wrote:
>
>  Hello,
>
>  Using installed duplicity version 0.7.11, python 2.7.11, gpg 2.0.14 (Home: ~/.gnupg), awk 'GNU Awk 3.1.7', grep 'grep (GNU grep) 2.20', bash '4.1.2(2)-release (x86_64-redhat-linux-gnu)'.
>
>  [snip]
>
>  GPGError: GPG Failed, see log below:
>  ===== Begin GnuPG log =====
>  gpg: invalid option "--pinentry-mode=loopback"
>
>  the GPG_OPTS variable in my duply conf file is empty.
>
>  What should I do? is there a way to NOT pass the --pinentry-mode=loopback option to gpg?
>
>  Thanks,
>  Scott
>  _______________________________________________
>  Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
>
> [2  <text/plain; us-ascii (7bit)>]
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk

--
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [hidden email]


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: GPG error when backing up - invalid option "--pinentry-mode=loopback"

duplicity-talk mailing list
In reply to this post by duplicity-talk mailing list
when fixing gpg.py, I suggest to change the version regex to

    _version_re = re.compile(r'^gpg.*\(GnuPG.*\) (?P<maj>[0-9])\.[0-9]+\.[0-9]+$’)

the reason is that on OSX many people have gpg installed as package that identifies as

# gpg --version
gpg (GnuPG/MacGPG2) 2.0.30


regards, Markus

> Am 02.02.2017 um 17:49 schrieb Kenneth Loafman via Duplicity-talk <[hidden email]>:
>
> The fix has been committed to the trunk in gpg.py.  It will be out in 0.7.12.  If you need it now, just browse the code for gpg.py, download that, and replace your copy.
>
> ...Ken
>
>
> On Wed, Feb 1, 2017 at 1:27 PM, Scott Classen via Duplicity-talk <[hidden email]> wrote:
> Hello,
>
> Using installed duplicity version 0.7.11, python 2.7.11, gpg 2.0.14 (Home: ~/.gnupg), awk 'GNU Awk 3.1.7', grep 'grep (GNU grep) 2.20', bash '4.1.2(2)-release (x86_64-redhat-linux-gnu)'.
>
> [snip]
>
> GPGError: GPG Failed, see log below:
> ===== Begin GnuPG log =====
> gpg: invalid option "--pinentry-mode=loopback"
>
>
>
> the GPG_OPTS variable in my duply conf file is empty.
>
> What should I do? is there a way to NOT pass the --pinentry-mode=loopback option to gpg?
>
> Thanks,
> Scott
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk
>
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk

_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk

smime.p7s (4K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: GPG error when backing up - invalid option "--pinentry-mode=loopback"

duplicity-talk mailing list
It's in trunk that way now.


On Thu, Feb 9, 2017 at 4:07 PM, Markus Stoll, junidas GmbH via Duplicity-talk <[hidden email]> wrote:
when fixing gpg.py, I suggest to change the version regex to

    _version_re = re.compile(r'^gpg.*\(GnuPG.*\) (?P<maj>[0-9])\.[0-9]+\.[0-9]+$’)

the reason is that on OSX many people have gpg installed as package that identifies as

# gpg --version
gpg (GnuPG/MacGPG2) 2.0.30


regards, Markus

> Am 02.02.2017 um 17:49 schrieb Kenneth Loafman via Duplicity-talk <[hidden email]>:
>
> The fix has been committed to the trunk in gpg.py.  It will be out in 0.7.12.  If you need it now, just browse the code for gpg.py, download that, and replace your copy.
>
> ...Ken
>
>
> On Wed, Feb 1, 2017 at 1:27 PM, Scott Classen via Duplicity-talk <[hidden email]> wrote:
> Hello,
>
> Using installed duplicity version 0.7.11, python 2.7.11, gpg 2.0.14 (Home: ~/.gnupg), awk 'GNU Awk 3.1.7', grep 'grep (GNU grep) 2.20', bash '4.1.2(2)-release (x86_64-redhat-linux-gnu)'.
>
> [snip]
>
> GPGError: GPG Failed, see log below:
> ===== Begin GnuPG log =====
> gpg: invalid option "--pinentry-mode=loopback"
>
>
>
> the GPG_OPTS variable in my duply conf file is empty.
>
> What should I do? is there a way to NOT pass the --pinentry-mode=loopback option to gpg?
>
> Thanks,
> Scott
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk
>
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk



_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk